* Inspector Supervisory Implement

version 12
clear all
pr drop _all
cap log close
set more off
set mem 300m
*set mat 10000

cap cd "C:/Users/kmangal/Dropbox/Pakistan Property Tax Project Analysis"

cap cd "${PAKTAX_ANALYSIS}"

********************************************************************

* Locals for last day of quarter
local day1 = 19266
local day2 = 19358
local day3 = 19448
local day4 = 19539

* ETO Clusters

local q 4

	u "Data/Cleaned Data/HR/Master Treated Staff (long).dta", clear
	drop if circle_id==.
	g div = floor(circle_id/100000)
	
	* KEEP THE RIGHT ONES
	keep if pos=="eto" & _indate<=`day`q'' & `day`q''<=_outdate
	
	* YOU SHOULD HAVE ONLY ONE; OTHERWISE WEIRDNESS IN CODING CUT-OFF DAYS
	bys circle_id: g temp = _N
	assert temp==1
	drop temp
	keep circle_id div _name
	
	egen ETO_clus = group(_name div), missing
	keep circle_id ETO_clus*
	
	tempfile clus
	save `clus'
	
* Implement Supervisors

	u "Data/Cleaned Data/HR/Master Treated Staff (long).dta", clear
	keep if treat_eto==1

	* GEN IMPLEMENT: SUM THIS FOR NUMERATOR
	g implement = .5
	replace implement = 0 if treat!=1

	* KEEP RIGHT PEOPLE
	keep if _indate<=`day`q'' & `day`q''<=_outdate
	
	* FIX IT IF WE'RE CATCHING A CHANGE-OVER DAY
	bys circle_id pos: g temp = _N
	drop if `day`q''==_outdate & temp>1
	bys circle_id pos: g temp2 = _N
	assert temp2==1 | treat!=1	// it's fine, or we don't care anyway
	drop temp*
		
	* RATIO
	bys circle_id: egen _impl_q`q' = total(implement)
	assert _impl_q`q'!=.
	keep circle_id _impl_q`q'
	duplicates drop

	ren _impl_q4 _impl_s
	
	tempfile impl
	save `impl'

	insheet using "Data/Cleaned Data/Administrative Data/Crosswalk/120904 Crosswalk to Randomization_All.csv", clear c

	drop if rand_circle_id == .

	keep rand_circle_id q4_2013_circle_id
	duplicates drop

	rename q4_2013_circle_id circle_id

	merge m:1 circle_id using `impl'
	drop if _merge == 2 // new circles, don't care about these
	drop _merge
	
	replace _impl_s = 0 if missing(_impl_s)
	
	drop rand_circle_id
	duplicates drop
	
	save `impl', replace
	
* Select Supervisors
	u "Data/Coded Data/130506 Cleaned Phase III Randomization.dta", clear
	keep if fyear == 2013
	keep circle_id _select_s stratdum_s*

	tempfile sel
	save `sel'

		insheet using "Data/Cleaned Data/Administrative Data/Crosswalk/120904 Crosswalk to Randomization_All.csv", clear c

		drop if rand_circle_id == .

		keep rand_circle_id q4_2013_circle_id
		duplicates drop

		rename rand_circle_id circle_id

		merge m:1 circle_id using `sel'
		assert _merge == 3
		drop _merge

		rename circle_id rand_circle_id
		rename q4_2013_circle_id circle_id	

		sort circle_id rand_circle_id
		duplicates drop

		bys circle_id: gen j = _n
		gen w = ""
		replace w = "a" if j == 1
		replace w = "b" if j == 2
		drop j

		unab select_vars :  _select_s* stratdum_s*

		reshape wide rand_circle_id _select_s stratdum_s*, i(circle_id) j(w) string

		drop rand_circle_id*

		foreach var in `select_vars' {
			egen `var'_xw = rowmean(`var'a `var'b)
			drop `var'a `var'b
		}

merge 1:1 circle_id using `impl'
assert _merge != 1
drop if _merge == 2
drop _merge
	
merge 1:1 circle_id using `clus'
assert _merge != 1
drop if _merge == 2
drop _merge
	
saveold "Data/Coded Data/Inspector Supervisory Treatment Variables", replace
