clear all
set more off

cap cd "${PAPER_ANALYSIS}"

*****************************************************

use "Coded Data/calculations/reassessment_rate_density_control_bootstrap", clear
append using "Coded Data/calculations/reassessment_rate_density_treat_bootstrap", generate(treat)

egen ymean = rowmean(yhat*)
egen yse = rowsd(yhat*)

gen yupper = ymean + 1.96 * yse
gen ylower = ymean - 1.96 * yse

ren tax_density_fixed tax_density
sort tax_density

twoway (rarea yupper ylower tax_density if treat == 1, fintensity(inten20) lstyle(blank)) || ///
	(rarea yupper ylower tax_density if treat == 0,  fintensity(inten20) lstyle(blank)) || ///
	(line ymean tax_density if treat == 1, color(navy)) || ///
	(line ymean tax_density if treat == 0, color(maroon)), ///
	xtitle("Tax Density") ytitle("Pr(Reassessment)") legend(order(3 "Treatment" 4 "Control"))


graph export "${TABLE_OUTPUT}/reassessment_rate_tax_density.eps", replace
