**********************************************
* Calculate transition matrix for
* 
* 504910 -> 504911 505101 505102
* 505100 -> 505101 505102
*
* This is a special case because we have duplicate splits (505101 and 505102)
* and so we need additional information in order to determine the system.
*
* 
******************************************************************

cap cd "${PAKTAX_ANALYSIS}"

set trace off

mata

M0 = 1, 0\0, 0\0, 1
M0

M = -2.06, 0, 0, 0\1, 0, 0, 1\1.06, 0, 0, -1
M
end

local y 2013
local q 4

local y2 2014
local q2 1

local type t

global circles "504910, 505100"

use "Data/Cleaned Data/Administrative Data/Quarterly/FY`y' Q`q'/FY`y' Q`q'.dta", clear
keep circle_id net_dem_`type'
keep if inlist(circle_id, ${circles})

order circle_id net_dem_`type'
rename circle_id q`q'_`y'_circle_id
duplicates drop

sort q`q'_`y'_circle_id 
list
keep net_dem_`type'

*Make sure we have everyone
qui count
*assert `r(N)' == `n'

mata : a = st_data(., 1)

* Get "b" vector -- list of ending current net demand
use "Data/Cleaned Data/Administrative Data/Punjab Compiled - Quarterly.dta", clear

keep if fyear == `y2' & qtr == `q2'
rename circle_id q`q2'_`y2'_circle_id
duplicates drop

keep if inlist(q`q2'_`y2'_circle_id, 504911, 505101, 505102)
sort q`q2'_`y2'_circle_id
list
keep net_dem_`type'
	
*Make sure we have everyone
qui count
*assert `r(N)' == `m'

mata : b = st_data(., 1)
	
// Assign transition matrix; solve if necessary
mata : calculateT(2, 2, M0, M, a, b, T=.)


mata : T
