/*************************************************************************************************

	Clean Year 1 Randomization
	------------------------------
		   
	TASKS: Combine output with reward rates; fix output errors.
	
***************************************************************************************************/

version 12
clear all
pr drop _all
cap log close
set more off
set mem 300m
*set mat 10000

cap cd "${PAKTAX_ANALYSIS}"

*************************

**Subtreatment data for reward rate
use "${PAKTAX_RANDOMIZATION}/Phase II/Randomization/110810 7861 Subreatment Randomization - Copy", clear
replace circle_id=105100 if circle_id==105200   /*!!!*/
keep circle_id rewardrate subtreatment
tempfile subtreatment
sa `subtreatment', replace

***Input original treated circles and H.R. data
use "${PAKTAX_RANDOMIZATION}/Phase II/Randomization/110809 Randomization Output - Additional Circles 999 - Copy", clear
replace treatment=1 if circle_id==105100
replace treatment=0 if circle_id==105200
replace treatment_newballot=0 if circle_id==105200   /*the actual balloted circle is 105100*/
keep division_id division_name circle_id treatment treatment_newballot rewardrate stratum

***Consent
g consentingcircle = 1 if treatment==1
replace consentingcircle = . if inlist(circle_id,300800,402100,508700,501000,502800,504902,502200,501500)		// did not consent; from subtreatment randomization file
merge 1:1 circle_id using `subtreatment'
assert _m!=2
drop _m

***Implemented at all
g implemented = 1 if consentingcircle==1
replace implemented = 0 if inlist(circle_id,612610,105102)

*
assert stratum!=.


saveold "Data/Cleaned Data/Randomization/121116 Cleaned Phase II Randomization", replace
